Bug 176666 - x11/fireflies buildfailure
Summary: x11/fireflies buildfailure
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Stefan Walter
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-05 14:50 UTC by Sean Bruno
Modified: 2013-05-14 12:15 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sean Bruno freebsd_committer 2013-03-05 14:50:01 UTC
x11/fireflies appears to not build any longer.

===>  Cleaning for fireflies-2.07_4
===>   fireflies-2.07_4 depends on file: /usr/local/sbin/pkg - found
===>  Extracting for fireflies-2.07_4
=> SHA256 Checksum OK for fireflies-2.07.tar.gz.
===>  Patching for fireflies-2.07_4
===>  Applying FreeBSD patches for fireflies-2.07_4
===>   fireflies-2.07_4 depends on executable: gmake - found
===>   fireflies-2.07_4 depends on shared library: GLU.1 - found
===>  Configuring for fireflies-2.07_4
===>   FreeBSD 10 autotools fix applied to /usr/ports/x11/fireflies/work/fireflies-2.07/libgfx/configure
===>   FreeBSD 10 autotools fix applied to /usr/ports/x11/fireflies/work/fireflies-2.07/configure
checking for C++ compiler default output file name... a.out
checking whether the C++ compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables... 
checking for suffix of object files... o
checking whether we are using the GNU C++ compiler... yes
checking whether c++ accepts -g... yes
checking for gcc... cc
checking whether we are using the GNU C compiler... yes
checking whether cc accepts -g... yes
checking for cc option to accept ANSI C... none needed
checking for a BSD-compatible install... /usr/bin/install -c -o root -g wheel
checking for sdl-config... no
checking for glXSwapBuffers in -lGL... yes
checking for glBegin in -lGL... yes
configure: creating ./config.status
config.status: creating Make.include
config.status: creating installit
config.status: creating fireflies.spec
config.status: creating config.h
===>  Building for fireflies-2.07_4
cd libgfx && TMPDIR="/tmp" SHELL=/bin/sh CONFIG_SHELL=/bin/sh MAKE=gmake lt_cv_sys_max_cmd_len=262144 ./configure --with-bindir=/usr/local/bin/xscreensaver-hacks  --with-confdir=/usr/local/share/xscreensaver/config --prefix=/usr/local  && cd src && gmake
checking for gcc... cc
checking for C compiler default output... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for executable suffix... 
checking for object suffix... o
checking whether we are using the GNU C compiler... yes
checking whether cc accepts -g... yes
checking how to run the C preprocessor... cpp
checking whether we are using the GNU C++ compiler... yes
checking whether c++ accepts -g... yes
checking how to run the C++ preprocessor... c++ -E
checking for ranlib... ranlib
checking for rm... /bin/rm
checking for ignored-fltk-config... :
checking for sqrt in -lm... yes
checking for zlibVersion in -lz... yes
checking for jpeg_start_compress in -ljpeg... yes
checking for TIFFOpen in -ltiff... yes
checking for png_read_image in -lpng... yes
checking for X... libraries , headers 
checking for gethostbyname... yes
checking for connect... yes
checking for remove... yes
checking for shmat... yes
checking for IceConnectionNumber in -lICE... yes
checking for glBegin in -lGL... yes
checking for glPolygonOffset... yes
checking for glPolygonOffsetEXT... no
checking for FLTK library... no
checking for FLTK GL support... no
checking for ANSI C header files... yes
checking for limits.h... yes
checking for unistd.h... yes
checking for GL/glext.h... yes
checking for GL/glxext.h... yes
checking for GL/wglext.h... yes
checking for hash_map... no
checking for valarray... yes
checking for sstream... yes
checking for strstream... yes
checking for cc option to accept ANSI C... none needed
checking for an ANSI C-conforming const... yes
checking for inline... inline
checking for type bool... yes
checking for working alloca.h... no
checking for alloca... yes
checking for rint... yes
checking for getrusage... yes
checking for times... yes
checking for random... no
checking for getopt... yes
checking for getopt_long... yes
configure: creating ./config.status
config.status: creating gfx-config
config.status: creating include/gfx/config.h
gmake[1]: Entering directory `/usr/ports/x11/fireflies/work/fireflies-2.07/libgfx/src'
c++ -c -O2 -pipe -fno-strict-aliasing -I/usr/local/include -I/usr/local/include/GL -I/usr/ports/x11/fireflies/work/fireflies-2.07/libgfx/include -DHAVE_CONFIG_H  mat2.cxx
c++ -c -O2 -pipe -fno-strict-aliasing -I/usr/local/include -I/usr/local/include/GL -I/usr/ports/x11/fireflies/work/fireflies-2.07/libgfx/include -DHAVE_CONFIG_H  mat3.cxx
c++ -c -O2 -pipe -fno-strict-aliasing -I/usr/local/include -I/usr/local/include/GL -I/usr/ports/x11/fireflies/work/fireflies-2.07/libgfx/include -DHAVE_CONFIG_H  mat4.cxx
c++ -c -O2 -pipe -fno-strict-aliasing -I/usr/local/include -I/usr/local/include/GL -I/usr/ports/x11/fireflies/work/fireflies-2.07/libgfx/include -DHAVE_CONFIG_H  quat.cxx
c++ -c -O2 -pipe -fno-strict-aliasing -I/usr/local/include -I/usr/local/include/GL -I/usr/ports/x11/fireflies/work/fireflies-2.07/libgfx/include -DHAVE_CONFIG_H  symmat3.cxx
c++ -c -O2 -pipe -fno-strict-aliasing -I/usr/local/include -I/usr/local/include/GL -I/usr/ports/x11/fireflies/work/fireflies-2.07/libgfx/include -DHAVE_CONFIG_H  geom3d.cxx
c++ -c -O2 -pipe -fno-strict-aliasing -I/usr/local/include -I/usr/local/include/GL -I/usr/ports/x11/fireflies/work/fireflies-2.07/libgfx/include -DHAVE_CONFIG_H  raster.cxx
raster.cxx:48:29: warning: conversion from string literal to 'char *' is
      deprecated [-Wdeprecated-writable-strings]
static char *img_names[] = {"PPM", "PNG", "TIFF", "JPEG"};
                            ^
raster.cxx:48:36: warning: conversion from string literal to 'char *' is
      deprecated [-Wdeprecated-writable-strings]
static char *img_names[] = {"PPM", "PNG", "TIFF", "JPEG"};
                                   ^
raster.cxx:48:43: warning: conversion from string literal to 'char *' is
      deprecated [-Wdeprecated-writable-strings]
static char *img_names[] = {"PPM", "PNG", "TIFF", "JPEG"};
                                          ^
raster.cxx:48:51: warning: conversion from string literal to 'char *' is
      deprecated [-Wdeprecated-writable-strings]
static char *img_names[] = {"PPM", "PNG", "TIFF", "JPEG"};
                                                  ^
raster.cxx:49:27: warning: conversion from string literal to 'char *' is
      deprecated [-Wdeprecated-writable-strings]
static char *img_ext[] = {"ppm", "png", "tif", "jpg"};
                          ^
raster.cxx:49:34: warning: conversion from string literal to 'char *' is
      deprecated [-Wdeprecated-writable-strings]
static char *img_ext[] = {"ppm", "png", "tif", "jpg"};
                                 ^
raster.cxx:49:41: warning: conversion from string literal to 'char *' is
      deprecated [-Wdeprecated-writable-strings]
static char *img_ext[] = {"ppm", "png", "tif", "jpg"};
                                        ^
raster.cxx:49:48: warning: conversion from string literal to 'char *' is
      deprecated [-Wdeprecated-writable-strings]
static char *img_ext[] = {"ppm", "png", "tif", "jpg"};
                                               ^
8 warnings generated.
c++ -c -O2 -pipe -fno-strict-aliasing -I/usr/local/include -I/usr/local/include/GL -I/usr/ports/x11/fireflies/work/fireflies-2.07/libgfx/include -DHAVE_CONFIG_H  raster-pnm.cxx
c++ -c -O2 -pipe -fno-strict-aliasing -I/usr/local/include -I/usr/local/include/GL -I/usr/ports/x11/fireflies/work/fireflies-2.07/libgfx/include -DHAVE_CONFIG_H  raster-tiff.cxx
c++ -c -O2 -pipe -fno-strict-aliasing -I/usr/local/include -I/usr/local/include/GL -I/usr/ports/x11/fireflies/work/fireflies-2.07/libgfx/include -DHAVE_CONFIG_H  raster-jpeg.cxx
c++ -c -O2 -pipe -fno-strict-aliasing -I/usr/local/include -I/usr/local/include/GL -I/usr/ports/x11/fireflies/work/fireflies-2.07/libgfx/include -DHAVE_CONFIG_H  raster-png.cxx
raster-png.cxx:42:22: error: member access into incomplete type 'png_struct'
      (aka 'png_struct_def')
   if( setjmp(png_ptr->jmpbuf) )
                     ^
/usr/local/include/png.h:879:16: note: forward declaration of 'png_struct_def'
typedef struct png_struct_def png_struct;
               ^
raster-png.cxx:132:22: error: member access into incomplete type 'png_struct'
      (aka 'png_struct_def')
   if( setjmp(png_ptr->jmpbuf) )
                     ^
/usr/local/include/png.h:879:16: note: forward declaration of 'png_struct_def'
typedef struct png_struct_def png_struct;
               ^
2 errors generated.
gmake[1]: *** [raster-png.o] Error 1
gmake[1]: Leaving directory `/usr/ports/x11/fireflies/work/fireflies-2.07/libgfx/src'
gmake: *** [libgfx/src/libgfx.a] Error 2
*** [do-build] Error code 1

Stop in /usr/ports/x11/fireflies.

===>>> make failed for x11/fireflies
===>>> Aborting update

===>>> Update for x11/fireflies failed
===>>> Aborting update

Terminated

How-To-Repeat: attempt to build/install x11/fireflies
Comment 1 Glen Barber freebsd_committer 2013-03-05 14:51:13 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-ports-bugs

Ports PR
Comment 2 Stefan Walter freebsd_committer 2013-04-27 10:37:34 UTC
Dear maintainer of x11/fireflies,

a problem report has been submitted for your port for which your 
feedback might be required; its contents can be found at [1]. If it 
contains a patch or suggestions for a change, please send a followup to 
the PR explaining whether or not you approve it and want it to be 
committed.

Regards,
Stefan

[1]: http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/176666
Comment 3 Stefan Walter freebsd_committer 2013-04-29 14:35:10 UTC
Hi,

I tried to build x11/fireflies on my desktop machine here, and it failed
just like with Sean. Building it in a tinderbox on redports.org finished
without problems, though. It looks like it pulls in headers installed by
some other port - probably graphics/png.

The fix for this will have to be provided by someone else, though...

Best regards,
Stefan
Comment 4 Stefan Walter freebsd_committer 2013-04-29 14:44:07 UTC
State Changed
From-To: open->feedback

Awaiting maintainer's feedback. 


Comment 5 Stefan Walter freebsd_committer 2013-04-29 14:44:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->stefan

Track this while waiting for maintainer's feedback.
Comment 6 dfilter service freebsd_committer 2013-05-02 11:44:01 UTC
Author: stefan
Date: Thu May  2 10:43:53 2013
New Revision: 317093
URL: http://svnweb.freebsd.org/changeset/ports/317093

Log:
  Mark as BROKEN: does not compile when graphics/png is installed.
  
  PR:		176666
  Submitted by:	sbruno

Modified:
  head/x11/fireflies/Makefile

Modified: head/x11/fireflies/Makefile
==============================================================================
--- head/x11/fireflies/Makefile	Thu May  2 10:08:24 2013	(r317092)
+++ head/x11/fireflies/Makefile	Thu May  2 10:43:53 2013	(r317093)
@@ -14,6 +14,8 @@ MASTER_SITES=	http://somewhere.fscked.or
 MAINTAINER=	umeno@rr.iij4u.or.jp
 COMMENT=	Extension of xscreensaver
 
+BROKEN=		does not compile when graphics/png is installed (see ports/176666)
+
 GNU_CONFIGURE=	yes
 USE_GMAKE=	yes
 USE_GL=		yes
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Stefan Walter freebsd_committer 2013-05-02 11:45:44 UTC
Adding "LIB_DEPENDS=png15:${PORTSDIR}/graphics/png" to the Makefile and
testing it on redports.org led to the compile time error, so I've marked
the port as BROKEN for now.
Comment 8 dfilter service freebsd_committer 2013-05-05 17:36:45 UTC
Author: stefan
Date: Sun May  5 16:36:32 2013
New Revision: 317421
URL: http://svnweb.freebsd.org/changeset/ports/317421

Log:
  - Use CONFLICTS instead of BROKEN. [1]
  - While here, convert to new style Makefile header.
  
  PR:		176666 [1]
  Submitted by:	sbruno [1]
  Suggested by:	eadler [1]

Modified:
  head/x11/fireflies/Makefile

Modified: head/x11/fireflies/Makefile
==============================================================================
--- head/x11/fireflies/Makefile	Sun May  5 16:12:13 2013	(r317420)
+++ head/x11/fireflies/Makefile	Sun May  5 16:36:32 2013	(r317421)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	fireflies
-# Date created:				11 Feb 2006
-# Whom:					UMENO Takashi <umeno@rr.iij4u.or.jp>
-#
+# Created by: UMENO Takashi <umeno@rr.iij4u.or.jp>
 # $FreeBSD$
-#
 
 PORTNAME=	fireflies
 PORTVERSION=	2.07
@@ -14,7 +10,7 @@ MASTER_SITES=	http://somewhere.fscked.or
 MAINTAINER=	umeno@rr.iij4u.or.jp
 COMMENT=	Extension of xscreensaver
 
-BROKEN=		does not compile when graphics/png is installed (see ports/176666)
+CONFLICTS=	png-[0-9]*
 
 GNU_CONFIGURE=	yes
 USE_GMAKE=	yes
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 9 Stefan Walter freebsd_committer 2013-05-13 22:34:44 UTC
Hi Sean,

the patch in ports/178600 fixes the build for me. Can you verify that the
port builds and works with it for you as expected, too?

Best regards,
Stefan
Comment 10 sean_bruno 2013-05-14 04:50:49 UTC
On Mon, 2013-05-13 at 23:34 +0200, Stefan Walter wrote:
> ports/178600


Yup, perfect compile.  PATCH away!  :-)

Sean
Comment 11 Sean Bruno freebsd_committer 2013-05-14 12:14:59 UTC
State Changed
From-To: feedback->closed

Since ports/178600 has a patch that solves this issue, close my ticket as a duplicate.